Subject: Re: linux-next: workqueues tree build failure

From: Tejun Heo <[email-masked]>
Date: Fri, 27 Nov 2009 17:42:27 +0900

Hello,

11/27/2009 05:37 PM, Takashi Iwai wrote:
>> Sounds like it should be using bottom half tasklet not workqueue.
>> Tasklet is exactly designed to handle situations like this.  Is there
>> any reason tasklet can't be used?
> 
> Right now the h/w accessing code is using mutex.  I'm not sure whether
> the deeper part might sleep, though...

Ah... I see.  Using mutex from a handler where response time is
critical is strange tho.  Anyways, I don't really think singlethread
will satisfy the timing requirement under loaded conditions.  IMHO,
update locking and using tasklets would be the best.

Thanks.

-- 
tejun